Bug 457340 - Review Request: rome - Java tools for parsing, generating and publishing RSS and Atom feeds
Summary: Review Request: rome - Java tools for parsing, generating and publishing RSS...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 457425
TreeView+ depends on / blocked
 
Reported: 2008-07-31 00:37 UTC by Andrew Overholt
Modified: 2013-01-10 04:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-29 15:34:24 UTC
Type: ---
jkeating: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Overholt 2008-07-31 00:37:59 UTC
Spec URL: http://overholt.fedorapeople.org/rome.spec
SRPM URL: http://overholt.fedorapeople.org/rome-0.9-1.fc9.src.rpm
Description: ROME is an set of open source Java tools for parsing, generating and
publishing RSS and Atom feeds.

Note:  this package was not based on the JPackage ROME package as it uses maven 1.  I wrote this from scratch based on the Fedora Java packaging guidelines.

Comment 1 Andrew Overholt 2008-07-31 00:39:28 UTC
Jesse:  I know you use Mylyn and this blocks the new version of Mylyn so ...
care to review it?  Pretty please?  :)

Comment 2 Jesse Keating 2008-08-05 20:40:34 UTC
Taking on this review.

Comment 3 Jesse Keating 2008-08-05 20:56:08 UTC
The instructions for getting the source need work.  I wind up with a file named "rome-0.9-src.tar.gz\?rev\=1.1"

Naming looks right
javadoc subpackage as expected
buildrequires and requires seem correct
successfully avoids building against the pre-shipped jar file.

Everything looks good here.  rpmlint only complains about a lack of documentation, and a non-standard group which is ignorable in my book.  I'm passing this review.

Comment 4 Andrew Overholt 2008-08-05 22:30:18 UTC
Thanks, Jesse.  I'll add an mv after the wget in the source-getting instructions.

New Package CVS Request
=======================
Package Name: rome
Short Description: ROME is an set of open source Java tools for parsing, generating and publishing RSS and Atom feeds.
Owners: overholt
Branches:
InitialCC:
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-08-06 17:29:30 UTC
cvs done.

Comment 6 Andrew Overholt 2008-10-29 15:34:24 UTC
Sorry, should have closed this already.


Note You need to log in before you can comment on or make changes to this bug.